<?php
class IndicadoresController extends BaseController {

    public function __construct(){}

    public function IndicadoresIndex(){
        $est = DB::table('estacas')
                    ->get();

		return View::make('indicadores.index')
                    ->with(array(
                            'estacas'   => $est
                        ));
    }

    public function TipoGrafica(){
    	$tg = Input::get('tipo_grafica');
    	$tr = Input::get('tipo_reporte');
    	$estacas = Input::get('estacas');
    	$listaM = array();
    	$listaS = array();

    	switch ($tg) {
    		case 'mensual':
    			$listaM = DB::table('reportes')
    					->select( DB::raw('DISTINCT(DATE(DATE_FORMAT(fi,"%Y-%m-1"))) AS dt') )
    					->orderBy('dt', 'desc')
    					->take(15)
    					->get();
    		break;
    		case 'semanal':
				$listaS = DB::table('reportes')
                            ->select( DB::raw('DISTINCT(fi) AS fi, ff') )
                            ->orderBy('fi', 'desc')
                            ->take(30)
                            ->get();
    		break;
    	}

    	return View::make('indicadores.lista')
    				->with(array(
    					'listaM'       => $listaM,
    					'listaS'       => $listaS,
    					'estacas'      => json_encode($estacas),
    					'tg'	      => $tg,
    					'tr'	      => $tr
    				));
    }

    public function GraficaM(){
        $estacas = array();
        $selected = Input::get('data');
        $estacas = Input::get('estacas');
        $tg = Input::get('tg');
        $tr = Input::get('tr');
        $data = array();

        try{
            foreach ($estacas AS $ke => $ve) {
                foreach ($selected as $ks => $vs) {
                    $y = date('Y', strtotime($vs) );
                    $m = date('m', strtotime($vs) );

                    $d = DB::select( DB::raw('SELECT SUM('.$tr.') as total FROM reportes WHERE EXTRACT(YEAR FROM fi) = '.$y.' AND EXTRACT(MONTH FROM fi) = '.$m.' AND estaca_id = '.$ve) );  
                    $data[$ke]['data'][$ks][0] = strtotime($vs)*1000;
                    if($d){
                        $data[$ke]['data'][$ks][1] = $d[0]->total;
                    } else {
                        $data[$ke]['data'][$ks][1] = 0;
                    }
                }
                $e = DB::table('estacas')->where('id', '=', $ve)->first();
                $data[$ke]['label'] = $e->nombre;
            }
        } catch (\Exception $e) {
               $data['msg'] = 'Error en la Base de Datos.'.$e;
        }
        return Response::json($data);
    }

    public function GraficaS(){
        $estacas = array();
        $selected = Input::get('data');
        $estacas = Input::get('estacas');
        $tg = Input::get('tg');
        $tr = Input::get('tr');
        $data = array();

        try{
            foreach ($estacas AS $ke => $ve) {
                foreach ($selected as $ks => $vs) {
                    $d = DB::table('reportes')
                            ->select(array('fi', $tr.' AS total') )
                            ->where('fi', '=', $vs)
                            ->where('estaca_id', '=', $ve)
                            ->first(); 
                    $data[$ke]['data'][$ks][0] = strtotime($vs)*1000;
                    if($d){
                        $data[$ke]['data'][$ks][1] = $d->total;
                    } else {
                        $data[$ke]['data'][$ks][1] = 0;
                    }
                }
                $e = DB::table('estacas')->where('id', '=', $ve)->first();
                $data[$ke]['label'] = $e->nombre;
            }
        } catch (\Exception $e) {
               $data['msg'] = 'Error en la Base de Datos.'.$e;
        }
        return Response::json($data);
    }

}