<?php
class LoginController extends BaseController {

    public function __construct(){}

    public function logginLogin(){
        $this->beforeFilter('csrf', array('on' => 'post'));
        try {
            $credentials = array(
                'email'    => Input::get('email'),
                'password' => Input::get('passwd'),
            );

            $user = Sentry::authenticate($credentials, false);

            try {
                Sentry::login($user, false);

                try{
                    return Redirect::to('/');
                } catch (Cartalyst\Sentry\Groups\GroupNotFoundException $e) {
                    return Redirect::to('login')->with('msg', 'El Grupo no Existe.');
                }

            } catch (Cartalyst\Sentry\Throttling\UserSuspendedException $e) {
                $time = $throttle->getSuspensionTime();
                return Redirect::to('login')->with('msg', 'Usuario Suspendido por [$time] minuto(s).');
            } catch (Cartalyst\Sentry\Throttling\UserBannedException $e) {
                return Redirect::to('login')->with('msg', 'El Usuario se Encuentra Baneado');
            }
        } catch (Cartalyst\Sentry\Users\LoginRequiredException $e) {
            return Redirect::to('login')->with('msg', 'Correo Electronico requerido.');
        } catch (Cartalyst\Sentry\Users\PasswordRequiredException $e) {
            return Redirect::to('login')->with('msg', 'Contraseña Requerida.');
        } catch (Cartalyst\Sentry\Users\WrongPasswordException $e) {
            return Redirect::to('login')->with('msg', 'Contraseña Incorrecta.');
        } catch (Cartalyst\Sentry\Users\UserNotFoundException $e) {
            return Redirect::to('login')->with('msg', 'El Usuario no existe.');
        } catch (Cartalyst\Sentry\Users\UserNotActivatedException $e) {
            return Redirect::to('login')->with('msg', 'El Usuario no se encuentra activado.');
        } catch (Cartalyst\Sentry\Throttling\UserSuspendedException $e) {
            return Redirect::to('login')->with('msg', 'El Usuario se encuentra suspendido.');
        }catch (Cartalyst\Sentry\Throttling\UserBannedException $e) {
            return Redirect::to('login')->with('msg', 'El Usuario se encuentra baneado.');
        }
    } 

}//Termina LoginController
?>
