<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the Closure to execute when that URI is requested.
|
*/

Route::get('/', array('before' => 'loginIn', function(){
	return View::make('index');
}));

Route::get('login', function(){
	if(Sentry::check()){
		return Redirect::to('/');
	} else {
		return View::make('login');	
	}
});

Route::post('login/loggin', array('uses' => 'LoginController@logginLogin'));

Route::get('logout', function(){
	if( Sentry::check() ){
		Sentry::logout();
		return Redirect::to('login');
	} else {
		return Redirect::to('login');
	}
});

/* Administración de Estacas */

Route::get('estacas', array('before' => 'loginIn', 'uses'=> 'EstacasController@estacasView'));

Route::get('barrio', array('before' => 'loginIn', function(){
			$estacas = DB::table('estacas')
					->get();
	return View::make('barrio')
					->with(array(
							'estacas'	=> $estacas
						));
}));
Route::get('estaca', array('before' => 'loginIn', function(){
	return View::make('estaca');
}));
Route::get('area', array('before' => 'loginIn', function(){
			$estacas = DB::table('estacas')
					->get();
	return View::make('area')
					->with(array(
							'estacas'	=> $estacas
						));
}));
Route::post('estacas/list', array('uses' => 'EstacasController@EstacaList'));
Route::post('estacas/crear', array('uses' => 'EstacasController@EstacaCrear'));
Route::post('barrio/crear', array('uses' => 'EstacasController@BarrioCrear'));
Route::post('area/crear', array('uses' => 'EstacasController@AreaCrear'));
Route::post('area/list', array('uses' => 'EstacasController@AreaList'));


Route::get('users', array('before' => 'loginIn', 'uses' => 'UsersController@UsersIndex'));
Route::post('users/crear', array('before' => 'loginIn', 'uses' => 'UsersController@UsersCrear'));
Route::post('users/crear/perfil', array('before' => 'loginIn', 'uses' => 'UsersController@UsersPerfilUpload'));
Route::get('users/view/{id}', array('before' => 'loginIn', 'uses' => 'UsersController@UsersView'));
Route::get('users/edit/{id}', array('before' => 'loginIn', 'uses' => 'UsersController@EditView'));
Route::post('users/list/estacas', array('before' => 'loginIn', 'uses' => 'UsersController@EstacaList'));

Route::post('users/list/barrios', array('before' => 'loginIn', 'uses' => 'UsersController@BarrioList'));

Route::get('misioneros', array('before' => 'loginIn', 'uses' => 'MisionerosController@MisionerosIndex'));
Route::get('misioneros/view/{id}', array('before' => 'loginIn', 'uses' => 'MisionerosController@MisionerosUsuarios'));

Route::get('reportes', array('before' => 'loginIn', 'uses' => 'ReportesController@ReportesIndex'));
Route::post('reportes/guardar', array('before' => 'loginIn', 'uses' => 'ReportesController@ReportesGuardar'));

Route::get('graficas', array('before' => 'loginIn', 'uses' => 'ReportesController@GraficasIndex'));

Route::get('indicadores', array('before' => 'loginIn', 'uses' => 'IndicadoresController@IndicadoresIndex'));
Route::post('indicadores/reportes', array('before' => 'loginIn', 'uses' => 'IndicadoresController@TipoGrafica'));
Route::post('indicadores/reportes/graficaM', array('before' => 'loginIn', 'uses' => 'IndicadoresController@GraficaM'));
Route::post('indicadores/reportes/graficaS', array('before' => 'loginIn', 'uses' => 'IndicadoresController@GraficaS'));